grk::GrkObjectWrapperImpl< T > Class Template Reference

`#include <GrkObjectWrapper.h>`

Inheritance diagram for grk::GrkObjectWrapperImpl< T >:

## Public Member Functions

| GrkObjectWrapperImpl (T *wrap)
virtual | ~GrkObjectWrapperImpl (void)=default
virtual void | release (void)
T * | getWrappee (void)
Public Member Functions inherited from grk::GrkObjectWrapper
| GrkObjectWrapper (void)
virtual | ~GrkObjectWrapper (void)
int32_t | ref (void)
int32_t | unref (void)

## Private Attributes

T * | wrappee

## Constructor & Destructor Documentation

## GrkObjectWrapperImpl()

template<typename T >

grk::GrkObjectWrapperImpl< T >::GrkObjectWrapperImpl | ( | T * | wrap | ) |

inline explicit

## ~GrkObjectWrapperImpl()

template<typename T >

virtual grk::GrkObjectWrapperImpl< T >::~GrkObjectWrapperImpl | ( | void |  | ) |

virtual default

## Member Function Documentation

## getWrappee()

template<typename T >

T * grk::GrkObjectWrapperImpl< T >::getWrappee | ( | void |  | ) |

inline

References grk::grk_read(), and grk::GrkObjectWrapperImpl< T >::wrappee.

## release()

template<typename T >

virtual void grk::GrkObjectWrapperImpl< T >::release | ( | void |  | ) |

inline virtual

Implements grk::GrkObjectWrapper.

References grk::grk_read(), and grk::GrkObjectWrapperImpl< T >::wrappee.

## Member Data Documentation

## wrappee

template<typename T >

T* grk::GrkObjectWrapperImpl< T >::wrappee

private

Referenced by grk::GrkObjectWrapperImpl< T >::getWrappee(), and grk::GrkObjectWrapperImpl< T >::release().

The documentation for this class was generated from the following file:

- GrkObjectWrapper.h